doublecmd (0.9.8-1) unstable; urgency=medium

  * New upstream release
  * Refresh debian/patches
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 09 Feb 2020 09:45:52 +0000

doublecmd (0.9.7-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Bump Standards-Version to 4.4.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 12 Jan 2020 08:24:36 +0000

doublecmd (0.9.6-1) unstable; urgency=medium

  * New upstream release
  * Enable dh_dwz now that #933541 is fixed

 -- Graham Inggs <ginggs@debian.org>  Thu, 05 Sep 2019 16:58:32 +0000

doublecmd (0.9.5-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.4.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 10 Jul 2019 11:05:40 +0000

doublecmd (0.9.3-2) unstable; urgency=medium

  * Switch to debhelper 12 and disable dh_dwz
  * Set Rules-Requires-Root: no
  * Upload to unstable

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Jul 2019 23:03:40 +0000

doublecmd (0.9.3-1) experimental; urgency=medium

  * New upstream release
    - Fix insecure use of /tmp (Closes: #926223)
  * Refresh patches
  * Add ${shlibs:Depends} to dependencies of doublecmd-plugins
  * Drop unused Lintian overrides

 -- Graham Inggs <ginggs@debian.org>  Mon, 20 May 2019 12:03:30 +0000

doublecmd (0.9.2-1) experimental; urgency=medium

  * New upstream release
  * Drop libunrar5.patch, no longer needed

 -- Graham Inggs <ginggs@debian.org>  Tue, 02 Apr 2019 09:22:22 +0000

doublecmd (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Suggest libunrar5 instead of libunrar0 since #720051 is fixed
  * Suggest libffmpegthumbnailer4v5 instead of libffmpegthumbnailer4
  * Drop obsolete Breaks/Replaces on doublecmd-*-dbg packages

 -- Graham Inggs <ginggs@debian.org>  Sun, 24 Feb 2019 07:03:41 +0000

doublecmd (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * Drop skip-qt5workaround-on-arm.patch, refresh remaining
  * Install icons for AppStream
  * Bump Standards-Version to 4.3.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 13 Feb 2019 14:12:07 +0000

doublecmd (0.8.4-2) unstable; urgency=medium

  * Skip Qt5 workaround on ARM where it causes link failure

 -- Graham Inggs <ginggs@debian.org>  Sat, 29 Sep 2018 11:00:04 +0000

doublecmd (0.8.4-1) unstable; urgency=medium

  * New upstream release
  * Refresh disable-splash.patch
  * Bump Standards-Version to 4.2.1, no changes
  * Update upstream homepage

 -- Graham Inggs <ginggs@debian.org>  Tue, 25 Sep 2018 18:09:37 +0000

doublecmd (0.8.3-1) unstable; urgency=medium

  * New upstream release
  * Drop lazarus1.8.2.patch included upstream
  * Bump Standards-Version to 4.1.4, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 07 Jun 2018 15:29:46 +0000

doublecmd (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* URIs for move to salsa.debian.org
  * Fix build with Lazarus 1.8.2
  * Update Lintian overrides

 -- Graham Inggs <ginggs@debian.org>  Wed, 07 Mar 2018 14:04:25 +0000

doublecmd (0.8.1-2) unstable; urgency=medium

  * Minimize build dependencies instead of depending on all of fpc
  * Update debian/copyright
  * Turn debhelper up to 11
  * Let debhelper strip the binaries now that #35733 is fixed
  * Bump Standards-Version to 4.1.3, no changes

 -- Graham Inggs <ginggs@debian.org>  Thu, 04 Jan 2018 16:12:36 +0000

doublecmd (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * Drop fix-use-of-i386-assembly.patch included upstream

 -- Graham Inggs <ginggs@debian.org>  Mon, 25 Dec 2017 09:48:33 +0000

doublecmd (0.8.0-2) unstable; urgency=medium

  * Fix FTBFS on non-i386 32-bit architectures

 -- Graham Inggs <ginggs@debian.org>  Sat, 16 Dec 2017 20:13:06 +0000

doublecmd (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches no longer needed
  * Update debian/copyright for moved files
  * Mark doublecmd-common Multi-Arch: foreign
  * Bump Standards-Version to 4.1.2, no changes

 -- Graham Inggs <ginggs@debian.org>  Sat, 16 Dec 2017 12:40:20 +0000

doublecmd (0.8.0~svn7787-1) unstable; urgency=medium

  * New upstream snapshot
  * Fix various spelling and grammar errors reported by Lintian
  * Update Lintian overrides
  * Update debian/copyright
  * Bump Standards-Version to 4.1.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Wed, 20 Sep 2017 14:43:04 +0000

doublecmd (0.8.0~svn7711-1) unstable; urgency=medium

  * New upstream snapshot
    - fix build with Lazarus 1.7 (Closes: #868288)
    - add support for Qt5
  * Refresh patches
  * Switch from Qt4 to Qt5
  * Stop generating text changelog from upstream HTML changelog
  * Bump Standards-Version to 4.0.0, no further changes
  * Work around problem extracting debug info on the buildds

 -- Graham Inggs <ginggs@debian.org>  Wed, 26 Jul 2017 17:54:32 +0200

doublecmd (0.7.8-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/copyright.
  * Switch to debhelper 10.

 -- Graham Inggs <ginggs@debian.org>  Sat, 11 Mar 2017 11:09:06 +0200

doublecmd (0.7.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update debian/copyright.
  * Update Lintian overrides for doublecmd-plugins.

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Dec 2016 09:13:27 +0200

doublecmd (0.7.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Replace Suggests: mplayer2 with Suggests: mplayer. (Closes: #841190)

 -- Graham Inggs <ginggs@debian.org>  Sun, 30 Oct 2016 10:23:07 +0200

doublecmd (0.7.5-1) unstable; urgency=medium

  * New upstream release.

 -- Graham Inggs <ginggs@debian.org>  Fri, 23 Sep 2016 14:00:38 +0200

doublecmd (0.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Lintian overrides.

 -- Graham Inggs <ginggs@debian.org>  Tue, 06 Sep 2016 12:07:12 +0200

doublecmd (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-spelling-errors.patch, included upstream.

 -- Graham Inggs <ginggs@debian.org>  Tue, 19 Jul 2016 11:19:17 +0200

doublecmd (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/clean, included upstream.
  * Update fix-spelling-errors.patch, partially included upstream.
  * Bump Standards-Version to 3.9.8, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Mon, 13 Jun 2016 13:08:12 +0200

doublecmd (0.7.1-2) unstable; urgency=medium

  * Remove doublecmd-*-dbg packages, they contained no debug symbols.
  * Move doublecmd.zdli files from doublecmd-*-dbg packages.
  * Add breaks/replaces against old doublecmd-*-dbg packages.
  * Add plugins/wcx/zip/lib/abresstring.rsj to debian/clean.
  * Update Lintian overrides.
  * Fix various spelling and grammar errors reported by Lintian.

 -- Graham Inggs <ginggs@debian.org>  Thu, 07 Apr 2016 13:04:12 +0200

doublecmd (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop upstream-fix-arm64-ftbfs.patch, included upstream.

 -- Graham Inggs <ginggs@debian.org>  Tue, 29 Mar 2016 14:56:00 +0200

doublecmd (0.7.0-1) unstable; urgency=medium

  * New upstream release:
    - add inode/directory MimeType to doublecmd.desktop (Closes: #807570)
    - fix scrolling through files with long names is slow (Closes: #807257)
    - fix FTBFS with FPC 3.0 and Lazarus 1.6 (Closes: #818123)
  * Fix FTBFS on arm64, thanks Edmund Grimley Evans
    and Alexander Koblov (Closes: #803984)
  * Remove doublecmd-common.menu, as per #741573.
  * Use secure URIs for VCS fields.
  * Update d/copyright.
  * Update Lintian overrides for doublecmd-plugins.
  * Bump Standards-Version to 3.9.7, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Tue, 15 Mar 2016 13:48:55 +0200

doublecmd (0.6.6-1) unstable; urgency=medium

  * New upstream release.
  * Let doublecmd-common suggest libffmpegthumbnailer4 (per upstream).
  * Do not display splash screen at startup.

 -- Graham Inggs <ginggs@debian.org>  Tue, 13 Oct 2015 16:27:23 +0200

doublecmd (0.6.5-2) unstable; urgency=medium

  * Let doublecmd-common recommend doublecmd-gtk | doublecmd-qt
    for users who install the -common package by mistake.

 -- Graham Inggs <ginggs@debian.org>  Wed, 07 Oct 2015 16:58:38 +0200

doublecmd (0.6.5-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address.

 -- Graham Inggs <ginggs@debian.org>  Tue, 08 Sep 2015 11:47:54 +0200

doublecmd (0.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Convert upstream HTML changelog to text and ship it,
    add Build-Depends on html2text.

 -- Graham Inggs <graham@nerve.org.za>  Mon, 20 Jul 2015 11:51:00 +0200

doublecmd (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Refresh d/patches/hide-build-info.patch.
  * Add comments to Lintian overrides.
  * Update d/copyright with some missed files,
    fix some spelling and capitalization errors.

 -- Graham Inggs <graham@nerve.org.za>  Tue, 19 May 2015 16:56:20 +0200

doublecmd (0.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches included upstream:
    - d/patches/clean-plugins-static-libs.patch
    - d/patches/disable-pic-on-arm.patch
    - d/patches/fpc-arm-workaround.patch
  * Update d/copyright for renamed and new files src/udiff*.pas.

 -- Graham Inggs <graham@nerve.org.za>  Tue, 31 Mar 2015 12:07:48 +0200

doublecmd (0.6.0-3) experimental; urgency=medium

  * Revert patch to not generate debug line info on
    big-endian architectures.
  * Work around ARM code generation bug in fpc < 3.0.1.

 -- Graham Inggs <graham@nerve.org.za>  Fri, 27 Feb 2015 14:26:01 +0200

doublecmd (0.6.0-2) experimental; urgency=low

  * Disable PIC on ARM architectures.
  * Do not generate debug line info on big-endian architectures.
  * Update d/control: add Suggests on rabbitvcs-core.
  * Update d/copyright: new directory libraries/src/libbz2.
  * Update Lintian overrides.

 -- Graham Inggs <graham@nerve.org.za>  Wed, 18 Feb 2015 11:09:44 +0200

doublecmd (0.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop d/patches/hide-lazarus-revision.patch included upstream,
    refresh remaining patches.
  * New patch d/patches/clean-plugins-static-libs.patch
    to clean static libs from plugins directories.
  * Update d/rules:
    - do not rename files doublecmd.pb.po and
      doublecmd.zh.po that no longer exist
    - strip plugins because dh_strip cannot handle non-standard extensions
  * Update d/copyright:
    - update copyright years
    - add copyright information for new file
      plugins/wcx/zip/fparchive/abxz.pas
    - remove copyright information for removed directory
      libraries/src/libmime/

 -- Graham Inggs <graham@nerve.org.za>  Mon, 16 Feb 2015 14:09:06 +0200

doublecmd (0.5.11-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches included upstream, refresh remaining patches.
  * Update d/rules:
    - do not delete symlink for doublecmd-help
    - remove new convenience copy of qt4.pas before building
  * Update d/copyright:
    - update copyright years
    - add copyright information for newly added qt4.pas
    - use dh_make copyright templates
  * Update d/control: add Suggests on mplayer2.
  * Update Lintian overrides.

 -- Graham Inggs <graham@nerve.org.za>  Tue, 07 Oct 2014 15:58:52 +0200

doublecmd (0.5.10-2) unstable; urgency=medium

  * Add d/patches/hide-lazarus-revision.patch to build without lazarus-src
  * Update d/control:
    - drop build-depends on lazarus-src
    - clean up build-depends on lcl, lcl-gtk2 and lcl-qt4

 -- Graham Inggs <graham@nerve.org.za>  Mon, 02 Jun 2014 14:04:06 +0200

doublecmd (0.5.10-1) unstable; urgency=medium

  [ Graham Inggs ]
  * New upstream release (Closes: #746015)
  * Refresh d/patches/hide-build-info.patch.

  [ Paul Gevers ]
  * Update d/copyright with newly added file
  * Drop hack in fix_build.sh*.patch and convert it to not build the
    lazarus components, as that is fixed in Lazarus now. Renamed patch
    to dont_build_lazarus_components.patch

 -- Paul Gevers <elbrus@debian.org>  Sun, 18 May 2014 15:56:14 +0200

doublecmd (0.5.9-2) unstable; urgency=medium

  * Tweak fix_build.sh_for_lazarus-1.2.patch, fix FTBFS on i386.

 -- Graham Inggs <graham@nerve.org.za>  Tue, 15 Apr 2014 15:00:27 +0200

doublecmd (0.5.9-1) unstable; urgency=medium

  [ Graham Inggs ]
  * New upstream.
  * Update d/control:
    - add Depends on desktop-file-utils
    - update Maintainer and Vcs-* fields for
      Pascal Packaging Team maintenance
  * Update d/patches: remove link-with-as-needed.patch and
    add-keywords-to-desktop-file.patch, included upstream.
  * Remove unnecessary d/doublecmd-*.dir files.
  * Do not install /usr/lib/doublecmd/doc.

  [ Paul Gevers ]
  * Add add_set-e_to_build_scripts.patch to let the build fail on failure
  * Add fix_build.sh_for_lazarus-1.2.patch and
    remove_red-haring__dont_install_.so_files.patch to prevent FTBFS
    (Closes: 741792)

 -- Paul Gevers <elbrus@debian.org>  Mon, 14 Apr 2014 21:51:22 +0200

doublecmd (0.5.8-1) unstable; urgency=low

  * New upstream.
  * Link with '--as-needed' flag to avoid unnecessary linking.
  * Add Keywords entry to desktop file.
  * Update d/control: bump Standards-Version to 3.9.5, no changes.

 -- Graham Inggs <graham@nerve.org.za>  Sun, 19 Jan 2014 12:46:33 +0200

doublecmd (0.5.7-2) unstable; urgency=low

  * Fix FTBFS without writable HOME directory (Closes: #725647)

 -- Graham Inggs <graham@nerve.org.za>  Mon, 07 Oct 2013 11:44:11 +0200

doublecmd (0.5.7-1) unstable; urgency=low

  * Initial release (Closes: #718778)

 -- Graham Inggs <graham@nerve.org.za>  Wed, 25 Sep 2013 10:48:13 +0200
